<?php
/* $Id: header.inc 7155 2015-02-17 20:14:32Z vvs2012 $ */

	// Titles and screen header
	// Needs the file config.php loaded where the variables are defined for
	//  $RootPath
	//  $Title - should be defined in the page this file is included with
	if (!isset($RootPath)){
		$RootPath = dirname(htmlspecialchars($_SERVER['PHP_SELF']));
		if ($RootPath == '/' OR $RootPath == "\\") {
			$RootPath = '';
		}
	}

	$ViewTopic = isset($ViewTopic)?'?ViewTopic=' . $ViewTopic : '';
	$BookMark = isset($BookMark)? '#' . $BookMark : '';
	$StrictXHTML=False;

	if (!headers_sent()){
		if ($StrictXHTML) {
			header('Content-type: application/xhtml+xml; charset=utf-8');
		} else {
			header('Content-type: text/html; charset=utf-8');
		}
	}
	if($Title == _('Copy a BOM to New Item Code')){//solve the cannot modify heaer information in CopyBOM.php scritps
		ob_start();
	}
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
			"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';

	echo '<html xmlns="http://www.w3.org/1999/xhtml"><head><title>' . $Title . '</title>';
	echo '<link rel="shortcut icon" href="'. $RootPath.'/favicon.ico" />';
	echo '<link rel="icon" href="' . $RootPath.'/favicon.ico" />';
	if ($StrictXHTML) {
		echo '<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />';
	} else {
		echo '<meta http-equiv="Content-Type" content="application/html; charset=utf-8" />';
	}
	
	
    echo '<link href="' . $RootPath . '/css/print.css" rel="stylesheet" type="text/css" media="print" />';
	echo '<link href="' . $RootPath . '/css/'. $_SESSION['Theme'] .'/default.css" rel="stylesheet" type="text/css" media="screen"/>';
	echo '<script type="text/javascript" src = "'.$RootPath.'/javascripts/MiscFunctions.js"></script>';
	
	echo' <link rel="stylesheet" href="css/awesome/css/font-awesome.min.css" />';
	 
?>
  <link rel="stylesheet" href="bootstrap-3.3.7/js/bootstrap.min.js" />
<link rel="stylesheet" href="bootstrap-3.3.7/css/bootstrap.min.css" />

<script src="js/jquery.min.js"></script>
  

<script type="text/javascript" src="lib/jquery.ntm/js/jquery.ntm.js"></script>
<link rel="stylesheet" href="jquerysctipttop.css" />



  <link rel="stylesheet" href="lib/jquery.ntm/themes/default/css/theme.css" />
  
       
   <script type="text/javascript">
   
   	$(document).ready(function() {
    $('#showmenu').click(function() {
    var hidden = $('.col-sm-2').data('hidden');
    $('#showmenu').text(hidden ? 'Hide Main Menu' : 'Show Main Menu');
       if(hidden){
          $('.col-sm-2').animate({
            left: '0px'
        },500)	
    } else {
		  $('.col-sm-2').animate({
            left: '-200px'
        },500)
		
       
    }
    $('.col-sm-2,.image').data("hidden", !hidden);

    });
}); 
   </script>     
    <script type="text/javascript">
            $(document).ready(function() {
                $('.demo').ntm();
            });
			
	 
			
        </script>  

<?php
	
	echo '</head>';
	echo '<body>';

	echo '<div id="CanvasDiv">';
	echo '<input type="hidden" name="Lang" id="Lang" value="'.$Lang.'" />';
	echo '<div id="HeaderDiv">';
	echo '<div id="HeaderWrapDiv">';


	if (isset($Title)) {


		echo '<div id="AppInfoDiv">'; //===HJ===
			echo '<div id="AppInfoCompanyDiv">';
				echo '<img alt="'._('Company').'" src="'.$RootPath.'/css/'.$Theme.'/images/company.png" title="'._('Company').'" />' ;
			echo '</div>';
			echo '<div id="AppInfoUserDiv">';
				echo '<a href="'.$RootPath.'/UserSettings.php"><img alt="'._('User').'" src="'.$RootPath.'/css/'.$Theme.'/images/user.png" title="'._('User').'" />' . stripslashes($_SESSION['UsersRealName']) . '</a>';
			echo '</div>';
			echo '<div id="AppInfoModuleDiv">';
				// Make the title text a class, can be set to display:none is some themes
				echo $Title;
			echo '</div>';
		echo '</div>'; // AppInfoDiv


		echo '<div id="QuickMenuDiv"><ul>';
		//echo '<button id="showmenu" type="button"> Hide Main Menu </button>';
		
		echo '<li><a href="'.$RootPath.'/index.php">' . _('<img src="icons/home.png" style="width:32px;height:32px;">Main') . '</a></li>'; //take off inline formatting, use CSS instead ===HJ===

		if (count($_SESSION['AllowedPageSecurityTokens'])>1){
		
			
			echo '<li><a href="'.$RootPath.'/Dashboard.php">' . _('<img src="icons/crmtop.png" style="width:32px;height:32px;"> CRM') . '</a></li>';
			
			echo '<li><a href="'.$RootPath.'/SelectProduct.php">' . _('<img src="icons/productstop.png" style="width:32px;height:32px;">Products/Services')     . '</a>';
			echo'</li>';
			echo '<li><a href="'.$RootPath.'/SelectSupplier.php">' . _('<img src="icons/supplierstop.png" style="width:32px;height:32px;">Suppliers') . '</a>';
			echo '</li>';
					}

$DefaultManualLink = '<li><a rel="external" accesskey="8" href="' .  $RootPath . '/doc/Manual/ManualContents.php'. $ViewTopic . $BookMark. '">' . _('Manual') . '</a></li>';

			if (mb_substr($_SESSION['Language'],0,2) != 'en'){
				if (file_exists('locale/'.$_SESSION['Language'].'/Manual/ManualContents.php')){
					echo '<li><a target="_blank" href="'.$RootPath.'/locale/'.$_SESSION['Language'].'/Manual/ManualContents.php'. $ViewTopic . $BookMark. '">' . _('Manual') . '</a></li>';
				} else {
					echo $DefaultManualLink;
				}
			} else {
					echo $DefaultManualLink;
			}

		echo '<li><a href="'.$RootPath.'/Logout.php" onclick="return confirm(\''._('Are you sure you wish to logout?').'\');">' . _('<img src="icons/logouttop.png" style="width:32px;height:32px;">Logout') . '</a></li>';

		echo '</ul></div>'; // QuickMenuDiv
	}
	echo '</div>'; // HeaderWrapDiv
	echo '</div>'; // Headerdiv
	echo '<div id="BodyDiv">';
	echo '<div id="BodyWrapDiv">';

?>

         
         <div class="container-fluid" style="font-family:awesome" align="center">
   <div class="row content" >
          <div class="col-sm-2">
                   <div class="tree-menu demo" id="tree-menu">
                  <ul>
           
                         <li><a href="#"><img src="icons/salesmain.png" style="width:48px;height:48px;"> Sales/Orders/Quotations</a>
           			     <ul>
                 
               			       <li><a href="#">Transactions</a>
                        <ul>
                        <li><a href="debtoraccount.php"><img src="icons/trans.png" style="width:32px;height:32px;"> View or Create Customer Account Numbers</a></li>
                          <li><a href="SelectOrderItems.php?NewOrder=Yes"><img src="icons/trans.png" style="width:32px;height:32px;"> Create Sales Order/Quote/Invoice</a></li>
                          <li><a href="CounterSales.php"><img src="icons/trans.png" style="width:32px;height:32px;">Counter Sales</a></li>
                          <li><a href="CounterReturns.php"><img src="icons/trans.png" style="width:32px;height:32px;">Counter Returns</a></li>
                          <li><a href="PDFPickingList.php"><img src="icons/trans.png" style="width:32px;height:32px;">Print Picking Lists</a></li>
                          <li><a href="SelectSalesOrder.php"><img src="icons/trans.png" style="width:32px;height:32px;">Outstanding Sales Orders/Quotation</a></li>
                         
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="SelectCompletedOrder.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales Order Inquiry</a></li>
                          <li><a href="PDFPriceList.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Price Lists</a></li>
                          <li><a href="PDFOrderStatus.php"><img src="icons/reports.png" style="width:32px;height:32px;">Order Status Report</a></li>
                          <li><a href="PDFOrdersInvoiced.php"><img src="icons/reports.png" style="width:32px;height:32px;">Orders Invoiced Reports</a></li>
                          <li><a href="DailySalesInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Daily Sales Inquiry</a></li>
                          <li><a href="SalesByTypePeriodInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales By Sales Type Inquiry</a></li>
                          <li><a href="SalesCategoryPeriodInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales By Category Inquiry</a></li>
                          <li><a href="StockCategorySalesInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales By Category By Item Inquiry</a></li>
                      
                          <li><a href="SalesGraph.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales Graphs</a></li>
                          <li><a href="SalesTopItemsInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Top Sellers Inquiry</a></li>
                          <li><a href="PDFDeliveryDifferences.php"><img src="icons/reports.png" style="width:32px;height:32px;">Order Delivery Differences Report</a></li>
                          <li><a href="PDFDIFOT.php"><img src="icons/reports.png" style="width:32px;height:32px;">Delivery In Full On Time (DIFOT) Report</a></li>
                          <li><a href="SalesInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales Order Detail Or Summary Inquiries</a></li>
                          <li><a href="TopItems.php"><img src="icons/reports.png" style="width:32px;height:32px;">Top Sales Items Inquiry</a></li>
                          <li><a href="SalesTopCustomersInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Top Customers Inquiry</a></li>
                          <li><a href="NoSalesItems.php"><img src="icons/reports.png" style="width:32px;height:32px;">Worst Sales Items Report</a></li>
                          <li><a href="PDFLowGP.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales With Low Gross Profit Report</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="projectdashboard.php"><img src="icons/Project-icon.png" style="width:48px;height:48px;">Job Costing-WIP</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="project.php"><img src="icons/trans.png" style="width:32px;height:32px;">Create/View a project</a></li>
                           <li><a href="projectattachments.php"><img src="icons/trans.png" style="width:32px;height:32px;">Attache Files/doc for the projects</a></li>
                          <li><a href="budgetcosting.php"><img src="icons/trans.png" style="width:32px;height:32px;">Budget Costing </a></li>
                           <li><a href="actualcostperiod.php"><img src="icons/trans.png" style="width:32px;height:32px;">Define Job Periods</a></li>
                            <li><a href="actualcost.php"><img src="icons/trans.png" style="width:32px;height:32px;">Review Actual Cost</a></li>
                         
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                           <li><a href="projectsoverview.php"><img src="icons/reports.png" style="width:32px;height:32px;">Detail report projects </a></li>
                           <li><a href="wipbacklog.php"><img src="icons/reports.png" style="width:32px;height:32px;">Summary of WIPs Backlog</a></li>
                            <li><a href="highgm.php"><img src="icons/reports.png" style="width:32px;height:32px;">High Gross Margin Projects</a></li>
                            <li><a href="lowgm.php"><img src="icons/reports.png" style="width:32px;height:32px;">Low Gross Margin Projects</a></li>
                            <li><a href="accprogress.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show Accumulative Progress</a></li>
                            <li><a href="ctc.php"><img src="icons/reports.png" style="width:32px;height:32px;">Cost to Cost Method</a></li>
                             <li><a href="ctc.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show Variance - Estimated final cost to budgeted cost</a></li>
                             <li><a href="ctc.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show Estimated Final cost for a project</a></li>
                             <li><a href="ctc.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show Estimated Final GP % </a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="actualcostperiod.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Define Job Periods</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/debtors.png" style="width:48px;height:48px;">Accounts Receivable</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="SelectSalesOrder.php"><img src="icons/trans.png" style="width:32px;height:32px;">Select Order to Invoice</a></li>
                          <li><a href="SelectCreditItems.php?NewCredit=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Create A Credit Note</a></li>
                          <li><a href="CustomerReceipt.php?NewReceipt=Yes&amp;Type=Customer"><img src="icons/trans.png" style="width:32px;height:32px;">Enter Receipts</a></li>
                          <li><a href="CustomerAllocations.php"><img src="icons/trans.png" style="width:32px;height:32px;">Allocate Receipts or Credit Notes</a></li>      
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="CustWhereAlloc.php"><img src="icons/reports.png" style="width:32px;height:32px;">Where Allocated Inquiry</a></li>
                          <li><a href="PrintCustTrans.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Invoices or Credit Notes</a></li>
                          <li><a href="PrintCustStatements.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Statements</a></li>
                          <li><a href="AgedDebtors.php"><img src="icons/reports.png" style="width:32px;height:32px;">Aged Customer Balances/Overdues Report</a></li>
                          <li><a href="PDFBankingSummary.php"><img src="icons/reports.png" style="width:32px;height:32px;">Re-Print A Deposit Listing</a></li>
                          <li><a href="DebtorsAtPeriodEnd.php"><img src="icons/reports.png" style="width:32px;height:32px;">Debtor Balances At A Prior Month End</a></li>
                          <li><a href="PDFCustomerList.php"><img src="icons/reports.png" style="width:32px;height:32px;">Customer Listing By Area/Salesperson</a></li>
                          <li><a href="PDFCustTransListing.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Daily Transactions</a></li>
                          <li><a href="CustomerTransInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Customer Transaction Inquiries</a></li>
                          <li><a href="CustomerBalancesMovement.php"><img src="icons/reports.png" style="width:32px;height:32px;">Customer Activity and Balances</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="Customers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Add Customer</a></li>
                          <li><a href="SelectCustomer.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Select Customer</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/purchasing.png" style="width:48px;height:48px;">Purchasing</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="PO_Header.php?NewOrder=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">New Purchase Order</a></li>
                          <li><a href="PO_SelectOSPurchOrder.php"><img src="icons/trans.png" style="width:32px;height:32px;">Purchase Orders</a></li>
                          <li><a href="PurchaseByPrefSupplier.php"><img src="icons/trans.png" style="width:32px;height:32px;">Purchase Order Grid Entry</a></li>
                          <li><a href="SupplierTenderCreate.php?New=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Create a New Tender</a></li>
                          <li><a href="SupplierTenderCreate.php?Edit=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Edit Existing Tenders</a></li>
                          <li><a href="OffersReceived.php"><img src="icons/trans.png" style="width:32px;height:32px;">Process Tenders and Offers</a></li>
                          <li><a href="PO_AuthoriseMyOrders.php"><img src="icons/trans.png" style="width:32px;height:32px;">Orders to Authorise</a></li>
                          <li><a href="SelectSupplier.php"><img src="icons/trans.png" style="width:32px;height:32px;">Shipment Entry</a></li>
                          <li><a href="Shipt_Select.php"><img src="icons/trans.png" style="width:32px;height:32px;">Select A Shipment</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="PO_SelectPurchOrder.php"><img src="icons/reports.png" style="width:32px;height:32px;">Purchase Order Inquiry</a></li>
                          <li><a href="POReport.php"><img src="icons/reports.png" style="width:32px;height:32px;">Purchase Order Detail Or Summary Inquiries</a></li>
                          <li><a href="SuppPriceList.php"><img src="icons/reports.png" style="width:32px;height:32px;">Supplier Price List</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                        <li><a href="SupplierPriceList.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Maintain Supplier Price Lists</a></li>
                          
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/creditors.png" style="width:48px;height:48px;">Accounts Payable</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                        <li><a href="SelectSupplier.php"><img src="icons/trans.png" style="width:32px;height:32px;">Select Supplier</a></li>
                          <li><a href="SupplierAllocations.php"><img src="icons/trans.png" style="width:32px;height:32px;">Supplier Allocations</a></li>
                          
                          
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                        <li><a href="AgedSuppliers.php"><img src="icons/reports.png" style="width:32px;height:32px;">Aged Supplier Report</a></li>
                          <li><a href="SuppPaymentRun.php"><img src="icons/reports.png" style="width:32px;height:32px;">Payment Run Report</a></li>
                          <li><a href="PDFRemittanceAdvice.php"><img src="icons/reports.png" style="width:32px;height:32px;">Remittance Advices</a></li>
                          <li><a href="OutstandingGRNs.php"><img src="icons/reports.png" style="width:32px;height:32px;">Outstanding GRNs Report</a></li>
                          <li><a href="SupplierBalsAtPeriodEnd.php"><img src="icons/reports.png" style="width:32px;height:32px;">Supplier Balances At A Prior Month End</a></li>
                          <li><a href="PDFSuppTransListing.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Daily Transactions</a></li>
                          <li><a href="SupplierTransInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Supplier Transaction Inquiries</a></li>
                        
                          
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="Suppliers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Add Supplier</a></li>
                          <li><a href="SelectSupplier.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Select Supplier</a></li>
                          <li><a href="Factors.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Maintain Factor Companies</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/stock.png" style="width:48px;height:48px;">Inventories</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="PO_SelectOSPurchOrder.php"><img src="icons/trans.png" style="width:32px;height:32px;">Receive Purchase Orders</a></li>
                          <li><a href="StockTransfers.php?New=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Inventory Location Transfers</a></li>
                          <li><a href="StockLocTransfer.php"><img src="icons/trans.png" style="width:32px;height:32px;">Bulk Inventory Transfer</a></li>
                          <li><a href="StockLocTransferReceive.php"><img src="icons/trans.png" style="width:32px;height:32px;">Bulk Inventory Transfer</a></li>
                          <li><a href="StockAdjustments.php?NewAdjustment=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Inventory Adjustments</a></li>
                          <li><a href="ReverseGRN.php"><img src="icons/trans.png" style="width:32px;height:32px;">Reverse Goods Received</a></li>
                          <li><a href="StockCounts.php"><img src="icons/trans.png" style="width:32px;height:32px;">Enter Stock Counts</a></li>
                          <li><a href="InternalStockRequest.php?New=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Create a New Internal Stock Request</a></li>
                          <li><a href="InternalStockRequestAuthorisation.php"><img src="icons/trans.png" style="width:32px;height:32px;">Authorise Internal Stock Requests</a></li>
                          <li><a href="InternalStockRequestFulfill.php"><img src="icons/trans.png" style="width:32px;height:32px;">Fulfill Internal Stock Requests</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="StockSerialItemResearch.php"><img src="icons/reports.png" style="width:32px;height:32px;">Serial Item Research Tool</a></li>
                          <li><a href="PDFPrintLabel.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Price Labels</a></li>
                          <li><a href="ReprintGRN.php"><img src="icons/reports.png" style="width:32px;height:32px;">Reprint GRN</a></li>
                          <li><a href="StockMovements.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Item Movements</a></li>
                          <li><a href="StockStatus.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Item Status</a></li>
                          <li><a href="StockUsage.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Item Usage</a></li>
                          <li><a href="InventoryQuantities.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Quantities</a></li>
                          <li><a href="ReorderLevel.php"><img src="icons/reports.png" style="width:32px;height:32px;">Reorder Level</a></li>
                          <li><a href="StockDispatch.php"><img src="icons/reports.png" style="width:32px;height:32px;">Stock Dispatch</a></li>
                          <li><a href="InventoryValuation.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Valuation Report</a></li>
                          <li><a href="MailInventoryValuation.php"><img src="icons/reports.png" style="width:32px;height:32px;">Mail Inventory Valuation Report</a></li>
                          <li><a href="InventoryPlanning.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Planning Report</a></li>
                          <li><a href="InventoryPlanningPrefSupplier.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Planning Based On Preferred Supplier Data</a></li>
                          <li><a href="StockCheck.php"><img src="icons/reports.png" style="width:32px;height:32px;">Inventory Stock Check Sheets</a></li>
                          <li><a href="StockQties_csv.php"><img src="icons/reports.png" style="width:32px;height:32px;">Make Inventory Quantities CSV</a></li>
                          <li><a href="PDFStockCheckComparison.php"><img src="icons/reports.png" style="width:32px;height:32px;">Compare Counts Vs Stock Check Data</a></li>
                          <li><a href="StockLocMovements.php"><img src="icons/reports.png" style="width:32px;height:32px;">All Inventory Movements By Location/Date</a></li>
                          <li><a href="StockLocStatus.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Inventory Status By Location/Category</a></li>
                          <li><a href="StockQuantityByDate.php"><img src="icons/reports.png" style="width:32px;height:32px;">Historical Stock Quantity By Location/Category</a></li>
                          <li><a href="PDFStockNegatives.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Negative Stocks</a></li>
                          <li><a href="PDFPeriodStockTransListing.php"><img src="icons/reports.png" style="width:32px;height:32px;">Period Stock Transaction Listing</a></li>
                          <li><a href="PDFStockTransfer.php"><img src="icons/reports.png" style="width:32px;height:32px;">Stock Transfer Note</a></li>
                          <li><a href="AgedControlledInventory.php"><img src="icons/reports.png" style="width:32px;height:32px;">Aged Controlled Stock Report</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="Stocks.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Add A New Item</a></li>
                          <li><a href="SelectProduct.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Select An Item</a></li>
                          <li><a href="RevisionTranslations.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Review Translated Descriptions</a></li>
                          <li><a href="SalesCategories.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Sales Category Maintenance</a></li>
                          <li><a href="Manufacturers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Brands Maintenance</a></li>
                          <li><a href="PricesBasedOnMarkUp.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Add or Update Prices Based On Costs</a></li>
                          <li><a href="PricesByCost.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">View or Update Prices Based On Costs</a></li>
                          <li><a href="ReorderLevelLocation.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Reorder Level By Category/Location</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/gl.png" style="width:48px;height:48px;">General Ledger</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                           <li><a href="Payments.php?NewPayment=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Bank Account Payments Entry</a></li>
                          <li><a href="CustomerReceipt.php?NewReceipt=Yes&amp;Type=GL"><img src="icons/trans.png" style="width:32px;height:32px;">Bank Account Receipts Entry</a></li>
                          <li><a href="ImportBankTrans.php"><img src="icons/trans.png" style="width:32px;height:32px;">Import Bank Transactions</a></li>
                          <li><a href="BankMatching.php?Type=Payments"><img src="icons/trans.png" style="width:32px;height:32px;">Bank Account Payments Matching</a></li>
                          <li><a href="BankMatching.php?Type=Receipts"><img src="icons/trans.png" style="width:32px;height:32px;">Bank Account Receipts Matching</a></li>
                          <li><a href="GLJournal.php?NewJournal=Yes"><img src="icons/trans.png" style="width:32px;height:32px;">Journal Entry</a></li>
                               <li><a href="postjournals.php"><img src="icons/trans.png" style="width:32px;height:32px;">Process Unposted Journals</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                        <li><a href="GLJournalInquirynotposted.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show Unposted Journals</a></li>
                         <li><a href="GLJournalInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Posted General Ledger Journal Inquiry</a></li>
                          <li><a href="GLTrialBalance.php"><img src="icons/reports.png" style="width:32px;height:32px;">Trial Balance</a></li>
                          <li><a href="SelectGLAccount.php"><img src="icons/reports.png" style="width:32px;height:32px;">Account Inquiry</a></li>
                          <li><a href="GLAccountReport.php"><img src="icons/reports.png" style="width:32px;height:32px;">Account Listing</a></li>
                          <li><a href="GLAccountCSV.php"><img src="icons/reports.png" style="width:32px;height:32px;">Account Listing to CSV File</a></li>
                         
                          <li><a href="BankReconciliation.php"><img src="icons/reports.png" style="width:32px;height:32px;">Bank Account Reconciliation Statement</a></li>
                          <li><a href="PDFChequeListing.php"><img src="icons/reports.png" style="width:32px;height:32px;">Cheque Payments Listing</a></li>
                          <li><a href="DailyBankTransactions.php"><img src="icons/reports.png" style="width:32px;height:32px;">Daily Bank Transactions</a></li>
                          <li><a href="GLProfit_Loss.php"><img src="icons/reports.png" style="width:32px;height:32px;">Profit and Loss Statement</a></li>
                          <li><a href="GLBalanceSheet.php"><img src="icons/reports.png" style="width:32px;height:32px;">Balance Sheet</a></li>
                          <li><a href="GLTagProfit_Loss.php"><img src="icons/reports.png" style="width:32px;height:32px;">Tag Reports</a></li>
                          <li><a href="Tax.php"><img src="icons/reports.png" style="width:32px;height:32px;">Tax Reports </a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="AccountSections.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Account Sections</a></li>
                          <li><a href="AccountGroups.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Account Groups</a></li>
                          <li><a href="GLAccounts.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">GL Accounts</a></li>
                          <li><a href="GLBudgets.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">GL Budgets</a></li>
                          <li><a href="GLTags.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">GL Tags</a></li>
                          <li><a href="BankAccounts.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Bank Accounts</a></li>
                          <li><a href="BankAccountUsers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Bank Account Authorised Users</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
            
           
              <li><a href="#"><img src="icons/manu.png" style="width:48px;height:48px;">Manufacturing</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="WorkOrderEntry.php"><img src="icons/trans.png" style="width:32px;height:32px;">Work Order Entry</a></li>
                          <li><a href="SelectWorkOrder.php"><img src="icons/trans.png" style="width:32px;height:32px;">Select A Work Order</a></li>
                          <li><a href="SelectQASamples.php"><img src="icons/trans.png" style="width:32px;height:32px;">QA Samples and Test Results</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="SelectWorkOrder.php"><img src="icons/reports.png" style="width:32px;height:32px;">Select A Work Order</a></li>
                          <li><a href="BOMInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Costed Bill Of Material Inquiry</a></li>
                          <li><a href="WhereUsedInquiry.php"><img src="icons/reports.png" style="width:32px;height:32px;">Where Used Inquiry</a></li>
                          <li><a href="BOMListing.php"><img src="icons/reports.png" style="width:32px;height:32px;">Bill Of Material Listing</a></li>
                          <li><a href="BOMIndented.php"><img src="icons/reports.png" style="width:32px;height:32px;">Indented Bill Of Material Listing</a></li>
                          <li><a href="BOMExtendedQty.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Components Required</a></li>
                          <li><a href="MaterialsNotUsed.php"><img src="icons/reports.png" style="width:32px;height:32px;">List Materials Not Used Anywhere</a></li>
                          <li><a href="BOMIndentedReverse.php"><img src="icons/reports.png" style="width:32px;height:32px;">Indented Where Used Listing</a></li>
                          <li><a href="WOCanBeProducedNow.php"><img src="icons/reports.png" style="width:32px;height:32px;">WO Items ready to produce</a></li>
                          <li><a href="MRPReport.php"><img src="icons/reports.png" style="width:32px;height:32px;">MRP</a></li>
                          <li><a href="MRPShortages.php"><img src="icons/reports.png" style="width:32px;height:32px;">MRP Shortages</a></li>
                          <li><a href="MRPPlannedPurchaseOrders.php"><img src="icons/reports.png" style="width:32px;height:32px;">MRP Suggested Purchase Orders</a></li>
                          <li><a href="MRPPlannedWorkOrders.php"><img src="icons/reports.png" style="width:32px;height:32px;">MRP Suggested Work Orders</a></li>
                          <li><a href="MRPReschedules.php"><img src="icons/reports.png" style="width:32px;height:32px;">MRP Reschedules Required</a></li>
                          <li><a href="PDFProdSpec.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Product Specification</a></li>
                          <li><a href="PDFCOA.php"><img src="icons/reports.png" style="width:32px;height:32px;">Print Certificate of Analysis</a></li>
                          <li><a href="HistoricalTestResults.php"><img src="icons/reports.png" style="width:32px;height:32px;">Historical QA Test Results</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="WorkCentres.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Work Centre</a></li>
                          <li><a href="BOMs.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Bills Of Material</a></li>
                          <li><a href="CopyBOM.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Copy a Bill Of Materials Between Items</a></li>
                          <li><a href="MRPDemands.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Master Schedule</a></li>
                          <li><a href="MRPCreateDemands.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Auto Create Master Schedule</a></li>
                          <li><a href="MRP.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">MRP Calculation</a></li>
                          <li><a href="QATests.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Quality Tests Maintenance</a></li>
                          <li><a href="ProductSpecs.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Product Specifications</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            
                <ul>
                   <li><a href="#"><img src="icons/asset.gif" style="width:48px;height:48px;">Asset Management</a>
                   <ul>
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="FixedAssetItems.php"><img src="icons/trans.png" style="width:32px;height:32px;">Add a new Asset</a></li>
                          <li><a href="SelectAsset.php"><img src="icons/trans.png" style="width:32px;height:32px;">Select an Asset</a></li>
                          <li><a href="FixedAssetTransfer.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change Asset Location</a></li>
                          <li><a href="FixedAssetDepreciation.php"><img src="icons/trans.png" style="width:32px;height:32px;">Depreciation Journal</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="FixedAssetRegister.php"><img src="icons/reports.png" style="width:32px;height:32px;">Asset Register</a></li>
                          <li><a href="MaintenanceUserSchedule.php"><img src="icons/reports.png" style="width:32px;height:32px;">My Maintenance Schedule</a></li>
                          <li><a href="MaintenanceReminders.php"><img src="icons/reports.png" style="width:32px;height:32px;">Maintenance Reminder Emails</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                          <li><a href="FixedAssetCategories.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Fixed Asset Category Maintenance</a></li>
                          <li><a href="FixedAssetLocations.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Add or Maintain Asset Locations</a></li>
                          <li><a href="MaintenanceTasks.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Fixed Asset Maintenance Tasks</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/petty.png" style="width:48px;height:48px;">Petty Cash</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                         <li><a href="PcAssignCashToTab.php"><img src="icons/trans.png" style="width:32px;height:32px;">Assign Cash to PC Tab</a></li>
                          <li><a href="PcClaimExpensesFromTab.php"><img src="icons/trans.png" style="width:32px;height:32px;">Claim Expenses From PC Tab</a></li>
                          <li><a href="PcAuthorizeExpenses.php"><img src="icons/trans.png" style="width:32px;height:32px;">Expenses Authorisation</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="PcReportTab.php"><img src="icons/reports.png" style="width:32px;height:32px;">PC Tab General Report</a></li>
                          <li><a href="PcAnalysis.php"><img src="icons/reports.png" style="width:32px;height:32px;">PC Expenses Analysis</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                           <li><a href="PcTypeTabs.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Types of PC Tabs</a></li>
                          <li><a href="PcTabs.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">PC Tabs</a></li>
                          <li><a href="PcExpenses.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">PC Expenses</a></li>
                          <li><a href="PcExpensesTypeTab.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Expenses for Type of PC Tab</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/hrms.png" style="width:48px;height:48px;">HRMS</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="employee.php"><img src="icons/trans.png" style="width:32px;height:32px;">Employee Management</a></li>
                          <li><a href="rostering.php"><img src="icons/trans.png" style="width:32px;height:32px;">Guards Rostering by Client Locations</a></li>
                          <li><a href="supervisorrostering.php"><img src="icons/trans.png" style="width:32px;height:32px;">Supervisor Rostering</a></li>
                          <li><a href="internalrostering.php"><img src="icons/trans.png" style="width:32px;height:32px;">Internal Staff Rostering</a></li>
                          <li><a href="aflrostering.php"><img src="icons/trans.png" style="width:32px;height:32px;">AFL Rostering</a></li>
                          <li><a href="timesheet.php"><img src="icons/trans.png" style="width:32px;height:32px;">Guards TimeSheet by Client Locations</a></li>
                          <li><a href="supervisortimesheet.php#"><img src="icons/trans.png" style="width:32px;height:32px;">Supervisor TimeSheet</a></li>
                          <li><a href="internaltimesheet.php"><img src="icons/trans.png" style="width:32px;height:32px;">Internal Staff TimeSheet</a></li>
                          <li><a href="afltimesheet.php"><img src="icons/trans.png" style="width:32px;height:32px;">AFL Timesheet</a></li>
                          <li><a href="techniciantimesheet.php"><img src="icons/trans.png" style="width:32px;height:32px;">Technician TimeSheet</a></li>
                          <li><a href="attendance.php"><img src="icons/trans.png" style="width:32px;height:32px;">Deduction Management</a></li>
                          <li><a href="#"><img src="icons/trans.png" style="width:32px;height:32px;">Leave Management</a></li>
                          <li><a href="#"><img src="icons/trans.png" style="width:32px;height:32px;">Payrol Processing</a></li>
                          <li><a href="#"><img src="icons/trans.png" style="width:32px;height:32px;">Recruitment Managment</a></li>
                          <li><a href="#"><img src="icons/trans.png" style="width:32px;height:32px;">Training Management</a></li>
                          <li><a href="#"><img src="icons/trans.png" style="width:32px;height:32px;">Displinary Management</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                            <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Compare rostering Vs timesheet - by client location (Guardforce)</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Compare Supervisor rostering Vs timesheet - (Guardforce)</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Compare administrative rostering Vs timesheet - (Guardforce)</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">List employees who worked more than 48 hours a week</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Attendance Report</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Basic Payrol report</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Detail Payrol report</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">EMS file Report</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">Westpac File report</a></li>
                          <li><a href="#"><img src="icons/reports.png" style="width:32px;height:32px;">FNPF report</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                               <li><a href="certificates.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Available Certifications</a></li>
                          <li><a href="guardforceclient.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Customer Locations & Accounts -Business Intelligence</a></li>
                          <li><a href="internallocation.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Internal Locations</a></li>
                          <li><a href="aflmaster.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">AFL Master</a></li>
                          <li><a href="aflflightsrates.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">AFL Flights & Rates</a></li>
                          <li><a href="aflbusiness.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">AFL Business File Attachements</a></li>
                          <li><a href="paycycle.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Pay Cycle/Frequency</a></li>
                          <li><a href="shifts.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Shift Details</a></li>
                          <li><a href="techjobsector.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Technician Job Sectors</a></li>
                          <li><a href="publicholiday.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Public Holidays</a></li>
                          <li><a href="residenttaxtable.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Resident Tax Table</a></li>
                          <li><a href="nonresidenttaxtable.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Non Resident Tax Table</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/setup.png" style="width:48px;height:48px;">Setup</a>
                <ul>
                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="CompanyPreferences.php"><img src="icons/trans.png" style="width:32px;height:32px;">Company Preferences</a></li>
                          <li><a href="SystemParameters.php"><img src="icons/trans.png" style="width:32px;height:32px;">System Parameters</a></li>
                          <li><a href="division.php"><img src="icons/trans.png" style="width:32px;height:32px;">Divisions</a></li>
                          <li><a href="department.php"><img src="icons/trans.png" style="width:32px;height:32px;">Departments</a></li>
                          <li><a href="debtoraccount.php"><img src="icons/trans.png" style="width:32px;height:32px;">Customer Account Numbers Management</a></li>
                          <li><a href="WWW_Users.php"><img src="icons/trans.png" style="width:32px;height:32px;">Users Maintenance</a></li>
                          <li><a href="SecurityTokens.php"><img src="icons/trans.png" style="width:32px;height:32px;">Maintain Security Tokens</a></li>
                          <li><a href="WWW_Access.php"><img src="icons/trans.png" style="width:32px;height:32px;">Access Permissions Maintenance</a></li>
                          <li><a href="PageSecurity.php"><img src="icons/trans.png" style="width:32px;height:32px;">Page Security Settings</a></li>
                          <li><a href="Currencies.php"><img src="icons/trans.png" style="width:32px;height:32px;">Currencies Maintenance</a></li>
                          <li><a href="TaxAuthorities.php"><img src="icons/trans.png" style="width:32px;height:32px;">Tax Authorities and Rates Maintenance</a></li>
                          <li><a href="TaxGroups.php"><img src="icons/trans.png" style="width:32px;height:32px;">Tax Group Maintenance</a></li>
                          <li><a href="TaxProvinces.php"><img src="icons/trans.png" style="width:32px;height:32px;">Dispatch Tax Province Maintenance</a></li>
                          <li><a href="TaxCategories.php"><img src="icons/trans.png" style="width:32px;height:32px;">Tax Category Maintenance</a></li>
                          <li><a href="PeriodsInquiry.php"><img src="icons/trans.png" style="width:32px;height:32px;">List Periods Defined</a></li>
                          <li><a href="reportwriter/admin/ReportCreator.php"><img src="icons/trans.png" style="width:32px;height:32px;">Report Builder Tool</a></li>
                          <li><a href="AuditTrail.php"><img src="icons/trans.png" style="width:32px;height:32px;">View Audit Trail</a></li>
                          <li><a href="GeocodeSetup.php"><img src="icons/trans.png" style="width:32px;height:32px;">Geocode Maintenance</a></li>
                          <li><a href="FormDesigner.php"><img src="icons/trans.png" style="width:32px;height:32px;">Form Designer</a></li>
                          <li><a href="ShopParameters.php"><img src="icons/trans.png" style="width:32px;height:32px;">Web-Store Configuration</a></li>
                          <li><a href="SMTPServer.php"><img src="icons/trans.png" style="width:32px;height:32px;">SMTP Server Details</a></li>
                          <li><a href="MailingGroupMaintenance.php"><img src="icons/trans.png" style="width:32px;height:32px;">Mailing Group Maintenance</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                        <li><a href="SalesTypes.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales Types</a></li>
                          <li><a href="CustomerTypes.php"><img src="icons/reports.png" style="width:32px;height:32px;">Customer Types</a></li>
                          <li><a href="SupplierTypes.php"><img src="icons/reports.png" style="width:32px;height:32px;">Supplier Types</a></li>
                          <li><a href="CreditStatus.php"><img src="icons/reports.png" style="width:32px;height:32px;">Credit Status</a></li>
                          <li><a href="PaymentTerms.php"><img src="icons/reports.png" style="width:32px;height:32px;">Payment Terms</a></li>
                          <li><a href="PO_AuthorisationLevels.php"><img src="icons/reports.png" style="width:32px;height:32px;">Set Purchase Order Authorisation levels</a></li>
                          <li><a href="PaymentMethods.php"><img src="icons/reports.png" style="width:32px;height:32px;">Payment Methods</a></li>
                          <li><a href="SalesPeople.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales People</a></li>
                          <li><a href="Areas.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales Areas</a></li>
                          <li><a href="Shippers.php"><img src="icons/reports.png" style="width:32px;height:32px;">Shippers</a></li>
                          <li><a href="SalesGLPostings.php"><img src="icons/reports.png" style="width:32px;height:32px;">Sales GL Interface Postings</a></li>
                          <li><a href="COGSGLPostings.php"><img src="icons/reports.png" style="width:32px;height:32px;">COGS GL Interface Postings</a></li>
                          <li><a href="FreightCosts.php"><img src="icons/reports.png" style="width:32px;height:32px;">Freight Costs Maintenance</a></li>
                          <li><a href="DiscountMatrix.php"><img src="icons/reports.png" style="width:32px;height:32px;">Discount Matrix</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                    <li><a href="StockCategories.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Inventory Categories Maintenance</a></li>
                          <li><a href="Locations.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Inventory Locations Maintenance</a></li>
                          <li><a href="LocationUsers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Inventory Location Authorised Users Maintenancer</a></li>
                          <li><a href="UserLocations.ph"><img src="icons/maintenance.png" style="width:32px;height:32px;">User Authorised Inventory Locations Maintenance</a></li>
                          <li><a href="DiscountCategories.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Discount Category Maintenance</a></li>
                          <li><a href="UnitsOfMeasure.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Units of Measure</a></li>
                          <li><a href="MRPCalendar.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">MRP Available Production Days</a></li>
                          <li><a href="MRPDemandTypes.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">MRP Demand Types</a></li>
                          <li><a href="Departments.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Maintain Internal Departments</a></li>
                          <li><a href="InternalStockCategoriesByRole.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Maintain Internal Stock Categories to User Roles</a></li>
                          <li><a href="Labels.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Label Templates Maintenance</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  
              
            </ul>
            <ul>
           
              <li><a href="#"><img src="icons/developer.png" style="width:48px;height:48px;">Admin Tools</a>
                <ul>
                                 
                      <li><a href="#">Transactions</a>
                        <ul>
                          <li><a href="Z_ChangeCustomerCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A Customer Code</a></li>
                          <li><a href="Z_ChangeBranchCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A Customer Branch Code</a></li>
                          <li><a href="Z_ChangeSupplierCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A Supplier Code</a></li>
                          <li><a href="Z_ChangeStockCategory.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A Stock Category Code</a></li>
                          <li><a href="Z_ChangeStockCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change An Inventory Item Code</a></li>
                          <li><a href="Z_ChangeGLAccountCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A GL Account Code</a></li>
                          <li><a href="Z_ChangeLocationCode.php"><img src="icons/trans.png" style="width:32px;height:32px;">Change A Location Code</a></li>
                          <li><a href="AutomaticTranslationDescriptions.php"><img src="icons/trans.png" style="width:32px;height:32px;">Translate Item Descriptions</a></li>
                          <li><a href="Z_BottomUpCosts.php"><img src="icons/trans.png" style="width:32px;height:32px;">Update costs for all BOM items, from the bottom up</a></li>
                          <li><a href="Z_ReApplyCostToSA.php"><img src="icons/trans.png" style="width:32px;height:32px;">Re-apply costs to Sales Analysis</a></li>
                          <li><a href="Z_DeleteSalesTransActions.php"><img src="icons/trans.png" style="width:32px;height:32px;">Delete sales transactions</a></li>
                          <li><a href="Z_ReverseSuppPaymentRun.php"><img src="icons/trans.png" style="width:32px;height:32px;">Reverse all supplier payments on a specified date</a></li>
                          <li><a href="Z_UpdateSalesAnalysisWithLatestCustomerData.php"><img src="icons/trans.png" style="width:32px;height:32px;">Update sales analysis with latest customer data</a></li>
                        </ul>
                      </li>
                      <li><a href="#">Reports</a>
                        <ul>
                          <li><a href="Z_CurrencyDebtorsBalances.php"><img src="icons/reports.png" style="width:32px;height:32px;">Debtors Balances By Currency Totals</a></li>
                          <li><a href="Z_CurrencySuppliersBalances.php"><img src="icons/reports.png" style="width:32px;height:32px;">Suppliers Balances By Currency Totals</a></li>
                          <li><a href="Z_CheckGLTransBalance.php"><img src="icons/reports.png" style="width:32px;height:32px;">Show General Transactions That Do Not Balance</a></li>
                          <li><a href="Z_ItemsWithoutPicture.php"><img src="icons/reports.png" style="width:32px;height:32px;">List of items without picture</a></li>
                           </ul>
                      </li>
                      <li><a href="#">Maintenance</a>
                        <ul>
                        <li><a href="GLTranstable.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">GL trans Table</a></li>
                        <li><a href="GLchartdetails.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Chartdetails table</a></li>
                          <li><a href="Z_poAdmin.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Maintain Language Files</a></li>
                          <li><a href="Z_MakeNewCompany.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Make New Company</a></li>
                          <li><a href="Z_DataExport.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Data Export Options</a></li>
                          <li><a href="Z_ImportDebtors.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Customers from .csv file</a></li>
                            <li><a href="Z_ImportCustbranch.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Customers branch from .csv file</a></li>
                            <li><a href="Z_ImportChartOfAccounts.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Chart of Accounts from .csv file</a></li>
                          <li><a href="Z_ImportStocks.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Stock Items from .csv file</a></li>
                            <li><a href="Z_UpdateItemCosts.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Update Items cost from .csv file</a></li>
                          <li><a href="Z_ImportPriceList.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Price List from .csv file</a></li>
                            <li><a href="Z_ImportSuppliers.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Update Items cost from .csv file</a></li>
                               <li><a href="Z_ImportGLAccountSections.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Account Section from .csv file</a></li>
                                <li><a href="Z_ImportGLAccountGroups.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Account Groups from .csv file</a></li>
                          <li><a href="Z_ImportFixedAssets.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import Fixed Assets from .csv file</a></li>
                          <li><a href="Z_ImportGLTransactions.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Import GL Payments Receipts Or Journals From .csv file</a></li>
                          <li><a href="Z_CreateCompanyTemplateFile.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Create new company template SQL file and submit to webERP</a></li>
                          <li><a href="Z_UpdateChartDetailsBFwd.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Re-calculate brought forward amounts in GL</a></li>
                          <li><a href="Z_RePostGLFromPeriod.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Re-Post all GL transactions from a specified period</a></li>
                          <li><a href="Z_DeleteOldPrices.php"><img src="icons/maintenance.png" style="width:32px;height:32px;">Purge all old prices</a></li>
                        </ul>
                      </li>
            </ul>
            </li>
            </ul>
            </div>
            </div>
            
           
            
           <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-36251023-1']);
  _gaq.push(['_setDomainName', 'jqueryscript.net']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
