<?php
/* $Id: header.inc 7155 2015-02-17 20:14:32Z vvs2012 $ */

	// Titles and screen header
	// Needs the file config.php loaded where the variables are defined for
	//  $RootPath
	//  $Title - should be defined in the page this file is included with
	if (!isset($RootPath)){
		$RootPath = dirname(htmlspecialchars($_SERVER['PHP_SELF']));
		if ($RootPath == '/' OR $RootPath == "\\") {
			$RootPath = '';
		}
	}

	$ViewTopic = isset($ViewTopic)?'?ViewTopic=' . $ViewTopic : '';
	$BookMark = isset($BookMark)? '#' . $BookMark : '';
	$StrictXHTML=False;
 
	if (!headers_sent()){
		if ($StrictXHTML) {
			header('Content-type: application/xhtml+xml; charset=utf-8');
		} else {
			header('Content-type: text/html; charset=utf-8');
		}
	}
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
			"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';

	echo '<html xmlns="http://www.w3.org/1999/xhtml"><head><title>' . $Title . '</title>';
	echo '<link rel="shortcut icon" href="'. $RootPath.'/favicon.ico" />';
	echo '<link rel="icon" href="' . $RootPath.'/favicon.ico" />';
	if ($StrictXHTML) {
		echo '<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />';
	} else {
		echo '<meta http-equiv="Content-Type" content="application/html; charset=utf-8" />';
	}
	
	


	if($Title == _('Copy a BOM to New Item Code')){//solve the cannot modify heaer information in CopyBOM.php scritps
		ob_start();
	}
	
	 
		$userid = $_SESSION['UserID'];
		
$SQLuser = "SELECT email,realname
	               
			FROM www_users
			WHERE userid='" . $userid. "'
			";
	
			$resultuser = DB_query($SQLuser);
	
			$myrowuser = DB_fetch_array($resultuser) ;
		$emailm= $myrowuser['email'];
$realname= $myrowuser['realname'];
?>

	<!-- begin::Head -->
	<head>
		<meta charset="utf-8" />
		<title>----E-Business ERP System----</title>
		<meta name="description" content="Latest updates and statistic charts">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">

		<!--begin::Web font -->
		<script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js"></script>
		<script>
			WebFont.load({
            google: {"families":["Poppins:300,400,500,600,700","Roboto:300,400,500,600,700"]},
            active: function() {
                sessionStorage.fonts = true;
            }
          });
        </script>

		<!--end::Web font -->

		<!--begin:: Global Mandatory Vendors -->
		<link href="includes/vendors/perfect-scrollbar/css/perfect-scrollbar.css" rel="stylesheet" type="text/css" />
			<link href="css/evergreen2/default.css" rel="stylesheet" type="text/css" />
		<!--end:: Global Mandatory Vendors -->

		<!--begin:: Global Optional Vendors -->
		<link href="includes/vendors/tether/dist/css/tether.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-datetime-picker/css/bootstrap-datetimepicker.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-timepicker/css/bootstrap-timepicker.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-select/dist/css/bootstrap-select.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/select2/dist/css/select2.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/nouislider/distribute/nouislider.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/owl.carousel/dist/assets/owl.carousel.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/owl.carousel/dist/assets/owl.theme.default.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/ion-rangeslider/css/ion.rangeSlider.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/ion-rangeslider/css/ion.rangeSlider.skinFlat.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/dropzone/dist/dropzone.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/summernote/dist/summernote.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/bootstrap-markdown/css/bootstrap-markdown.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/animate.css/animate.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/jstree/dist/themes/default/style.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/morris.js/morris.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/chartist/dist/chartist.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/sweetalert2/dist/sweetalert2.min.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/socicon/css/socicon.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/vendors/line-awesome/css/line-awesome.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/vendors/flaticon/css/flaticon.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/vendors/metronic/css/styles.css" rel="stylesheet" type="text/css" />
		<link href="includes/vendors/vendors/fontawesome5/css/all.min.css" rel="stylesheet" type="text/css" />
		<link href="xcrud/plugins/bootstrap/css/bootstrap.css" rel="stylesheet" type="text/css" />
		<link href="xcrud/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
		<link href="xcrud/plugins/bootstrap/css/bootstrap-theme.css" rel="stylesheet" type="text/css" />
		<link href="xcrud/plugins/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css" />
       <link href="xcrud/plugins/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css" />
		<!--end:: Global Optional Vendors -->

		<!--begin::Global Theme Styles -->
		<link href="includes/assets/demo/base/style.bundle.css" rel="stylesheet" type="text/css" />

		<!--RTL version:<link href="assets/demo/base/style.bundle.rtl.css" rel="stylesheet" type="text/css" />-->

		<!--end::Global Theme Styles -->

		<!--begin::Page Vendors Styles -->
		<link href="includes/assets/vendors/custom/fullcalendar/fullcalendar.bundle.css" rel="stylesheet" type="text/css" />

		<!--RTL version:<link href="assets/includes/vendors/custom/fullcalendar/fullcalendar.bundle.rtl.css" rel="stylesheet" type="text/css" />-->

		<!--end::Page Vendors Styles -->
		<link rel="shortcut icon" href="../favicon.ico" />
		
		
		<!--begin:: Global Mandatory Vendors -->
		<script src="includes/vendors/jquery/dist/jquery.js" type="text/javascript"></script>
		<script src="includes/vendors/popper.js/dist/umd/popper.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap/dist/js/bootstrap.min.js" type="text/javascript"></script>
		<script src="includes/vendors/js-cookie/src/js.cookie.js" type="text/javascript"></script>
		<script src="includes/vendors/moment/min/moment.min.js" type="text/javascript"></script>
		<script src="includes/vendors/tooltip.js/dist/umd/tooltip.min.js" type="text/javascript"></script>
		<script src="includes/vendors/perfect-scrollbar/dist/perfect-scrollbar.js" type="text/javascript"></script>
		<script src="includes/vendors/wnumb/wNumb.js" type="text/javascript"></script>
         
		<!--end:: Global Mandatory Vendors -->

		<!--begin:: Global Optional Vendors -->
		<script src="includes/vendors/jquery.repeater/src/lib.js" type="text/javascript"></script>
		<script src="includes/vendors/jquery.repeater/src/jquery.input.js" type="text/javascript"></script>
		<script src="includes/vendors/jquery.repeater/src/repeater.js" type="text/javascript"></script>
		<script src="includes/vendors/jquery-form/dist/jquery.form.min.js" type="text/javascript"></script>
		<script src="includes/vendors/block-ui/jquery.blockUI.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/bootstrap-datepicker.init.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-datetime-picker/js/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-timepicker/js/bootstrap-timepicker.min.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/bootstrap-timepicker.init.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-daterangepicker/daterangepicker.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/bootstrap-daterangepicker.init.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-maxlength/src/bootstrap-maxlength.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-switch/dist/js/bootstrap-switch.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/bootstrap-switch.init.js" type="text/javascript"></script>
		<script src="includes/vendors/vendors/bootstrap-multiselectsplitter/bootstrap-multiselectsplitter.min.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-select/dist/js/bootstrap-select.js" type="text/javascript"></script>
		<script src="includes/vendors/select2/dist/js/select2.full.js" type="text/javascript"></script>
		<script src="includes/vendors/typeahead.js/dist/typeahead.bundle.js" type="text/javascript"></script>
		<script src="includes/vendors/handlebars/dist/handlebars.js" type="text/javascript"></script>
		<script src="includes/vendors/inputmask/dist/jquery.inputmask.bundle.js" type="text/javascript"></script>
		<script src="includes/vendors/inputmask/dist/inputmask/inputmask.date.extensions.js" type="text/javascript"></script>
		<script src="includes/vendors/inputmask/dist/inputmask/inputmask.numeric.extensions.js" type="text/javascript"></script>
		<script src="includes/vendors/inputmask/dist/inputmask/inputmask.phone.extensions.js" type="text/javascript"></script>
		<script src="includes/vendors/nouislider/distribute/nouislider.js" type="text/javascript"></script>
		
		<script src="includes/vendors/autosize/dist/autosize.js" type="text/javascript"></script>
		<script src="includes/vendors/clipboard/dist/clipboard.min.js" type="text/javascript"></script>
		<script src="includes/vendors/ion-rangeslider/js/ion.rangeSlider.js" type="text/javascript"></script>
		<script src="includes/vendors/dropzone/dist/dropzone.js" type="text/javascript"></script>
		<script src="includes/vendors/summernote/dist/summernote.js" type="text/javascript"></script>
		<script src="includes/vendors/markdown/lib/markdown.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-markdown/js/bootstrap-markdown.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/bootstrap-markdown.init.js" type="text/javascript"></script>
		<script src="includes/vendors/jquery-validation/dist/jquery.validate.js" type="text/javascript"></script>
		<script src="includes/vendors/jquery-validation/dist/additional-methods.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/forms/jquery-validation.init.js" type="text/javascript"></script>
		<script src="includes/vendors/bootstrap-notify/bootstrap-notify.min.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/base/bootstrap-notify.init.js" type="text/javascript"></script>
		<script src="includes/vendors/toastr/build/toastr.min.js" type="text/javascript"></script>
		<script src="includes/vendors/jstree/dist/jstree.js" type="text/javascript"></script>
		<script src="includes/vendors/raphael/raphael.js" type="text/javascript"></script>
		<script src="includes/vendors/morris.js/morris.js" type="text/javascript"></script>
		<script src="includes/vendors/chartist/dist/chartist.js" type="text/javascript"></script>
		<script src="includes/vendors/chart.js/dist/Chart.bundle.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/charts/chart.init.js" type="text/javascript"></script>
		<script src="includes/vendors/vendors/bootstrap-session-timeout/dist/bootstrap-session-timeout.min.js" type="text/javascript"></script>
		<script src="includes/vendors/vendors/jquery-idletimer/idle-timer.min.js" type="text/javascript"></script>
		<script src="includes/vendors/waypoints/lib/jquery.waypoints.js" type="text/javascript"></script>
		<script src="includes/vendors/counterup/jquery.counterup.js" type="text/javascript"></script>
		<script src="includes/vendors/es6-promise-polyfill/promise.min.js" type="text/javascript"></script>
		<script src="includes/vendors/sweetalert2/dist/sweetalert2.min.js" type="text/javascript"></script>
		<script src="includes/vendors/js/framework/components/plugins/base/sweetalert2.init.js" type="text/javascript"></script>
  	<script src="includes/bootstrap/css/bootstrap-theme.css" type="text/javascript"></script>
  		<script src="includes/bootstrap/css/bootstrap-theme.min.css" type="text/javascript"></script>
  			<script src="includes/bootstrap/css/bootstrap.css" type="text/javascript"></script>
  			<script src="includes/bootstrap/css/bootstrap.min.css" type="text/javascript"></script>
  			<script src="includes/bootstrap/js/bootstrap.js" type="text/javascript"></script>
  				<script src="includes/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
		
			<!--end:: Global Optional Vendors -->

		<!--begin::Global Theme Bundle -->
		<script src="includes/assets/demo/base/scripts.bundle.js" type="text/javascript"></script>

		<!--end::Global Theme Bundle -->

		<!--begin::Page Vendors -->
		<script src="includes/assets/vendors/custom/fullcalendar/fullcalendar.bundle.js" type="text/javascript"></script>

		<!--end::Page Vendors -->

		<!--begin::Page Scripts -->
		<script src="includes/assets/app/js/dashboard.js" type="text/javascript"></script>

		
	</head>

	<!-- end::Head -->

	<!-- begin::Body -->
	<body class="m-page--fluid m--skin- m-content--skin-light2 m-header--fixed m-header--fixed-mobile m-aside-left--enabled m-aside-left--skin-dark m-aside-left--offcanvas m-footer--push m-aside--offcanvas-default">

		<!-- begin:: Page -->
		<div class="m-grid m-grid--hor m-grid--root m-page">

			<!-- BEGIN: Header -->
			<header id="m_header" class="m-grid__item    m-header " m-minimize-offset="200" m-minimize-mobile-offset="200">
				<div class="m-container m-container--fluid m-container--full-height">
					<div class="m-stack m-stack--ver m-stack--desktop">

						<!-- BEGIN: Brand -->
						<div class="m-stack__item m-brand  m-brand--skin-dark ">
							<div class="m-stack m-stack--ver m-stack--general">
								<div class="m-stack__item m-stack__item--middle m-brand__logo">
									<a href="index.html" class="m-brand__logo-wrapper">
										<img alt="" src="css/evergreen2/images/company.png" />
									</a>
								</div>
								<div class="m-stack__item m-stack__item--middle m-brand__tools">

									<!-- BEGIN: Left Aside Minimize Toggle -->
									<a href="javascript:;" id="m_aside_left_minimize_toggle" class="m-brand__icon m-brand__toggler m-brand__toggler--left m--visible-desktop-inline-block  ">
										<span></span>
									</a>

									<!-- END -->

									<!-- BEGIN: Responsive Aside Left Menu Toggler -->
									<a href="javascript:;" id="m_aside_left_offcanvas_toggle" class="m-brand__icon m-brand__toggler m-brand__toggler--left m--visible-tablet-and-mobile-inline-block">
										<span></span>
									</a>

									<!-- END -->

									<!-- BEGIN: Responsive Header Menu Toggler -->
									<a id="m_aside_header_menu_mobile_toggle" href="javascript:;" class="m-brand__icon m-brand__toggler m--visible-tablet-and-mobile-inline-block">
										<span></span>
									</a>

									<!-- END -->

									<!-- BEGIN: Topbar Toggler -->
									<a id="m_aside_header_topbar_mobile_toggle" href="javascript:;" class="m-brand__icon m--visible-tablet-and-mobile-inline-block">
										<i class="flaticon-more"></i>
									</a>

									<!-- BEGIN: Topbar Toggler -->
								</div>
							</div>
						</div>

						<!-- END: Brand -->
						<div class="m-stack__item m-stack__item--fluid m-header-head" id="m_header_nav">

							<!-- BEGIN: Horizontal Menu -->
							<button class="m-aside-header-menu-mobile-close  m-aside-header-menu-mobile-close--skin-dark " id="m_aside_header_menu_mobile_close_btn"><i class="la la-close"></i></button>
							<div id="m_header_menu" class="m-header-menu m-aside-header-menu-mobile m-aside-header-menu-mobile--offcanvas  m-header-menu--skin-dark m-header-menu--submenu-skin-light m-aside-header-menu-mobile--skin-dark m-aside-header-menu-mobile--submenu-skin-dark ">
								<ul class="m-menu__nav ">
							
									<li class="m-menu__item  m-menu__item--submenu m-menu__item--rel" m-menu-submenu-toggle="click" m-menu-link-redirect="1" aria-haspopup="true"><a href="javascript:;" class="m-menu__link m-menu__toggle" title="Customers/Client Management"><i
											 class="m-menu__link-icon "><img src="icons/crmtop.png" style="width:32px;height:32px;"></i><span class="m-menu__link-text">Customers</span><i class="m-menu__hor-arrow la la-angle-down"></i><i class="m-menu__ver-arrow la la-angle-right"></i></a>
										<div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
											<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true"><a href="SelectCustomer.php" class="m-menu__link "><i class="m-menu__link-icon flaticon-file"></i><span class="m-menu__link-text">Search/Create New Customers</span></a></li>
												
											</ul>
										</div>
									</li>
								
									<li class="m-menu__item  m-menu__item--submenu m-menu__item--rel" m-menu-submenu-toggle="click" m-menu-link-redirect="1" aria-haspopup="true"><a href="javascript:;" class="m-menu__link m-menu__toggle" title="Non functional dummy link"><i
											 class="m-menu__link-icon "><img src="icons/productstop.png" style="width:32px;height:32px;"></i><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Products/Services</span> <i class="m-menu__hor-arrow la la-angle-down"></i><i class="m-menu__ver-arrow la la-angle-right"></i></a>
										<div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
											<ul class="m-menu__subnav">
													<li class="m-menu__item " m-menu-link-redirect="1" aria-haspopup="true"><a href="Products.php" class="m-menu__link "><i class="m-menu__link-icon flaticon-business"></i><span class="m-menu__link-text">Basic Products Listings</span></a></li>
												<li class="m-menu__item " m-menu-link-redirect="1" aria-haspopup="true"><a href="SelectProduct.php" class="m-menu__link "><i class="m-menu__link-icon flaticon-business"></i><span class="m-menu__link-text">Item Insights</span></a></li>
												
												</li>
											
											
											</ul>
										</div>
									</li>
								<li class="m-menu__item  m-menu__item--submenu m-menu__item--rel" m-menu-submenu-toggle="click" m-menu-link-redirect="1" aria-haspopup="true"><a href="javascript:;" class="m-menu__link m-menu__toggle" title="Non functional dummy link"><i
											 class="m-menu__link-icon "><img src="icons/supplierstop.png" style="width:32px;height:32px;"></i><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Suppliers</span> <i class="m-menu__hor-arrow la la-angle-down"></i><i class="m-menu__ver-arrow la la-angle-right"></i></a>
										<div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
											<ul class="m-menu__subnav">
												<li class="m-menu__item " m-menu-link-redirect="1" aria-haspopup="true"><a href="SelectSupplier.php" class="m-menu__link "><i class="m-menu__link-icon flaticon-business"></i><span class="m-menu__link-text">Search Supplier</span></a></li>
											
												
											</ul>
										</div>
									</li>
									<li class="m-menu__item  m-menu__item--submenu m-menu__item--rel" m-menu-submenu-toggle="click" m-menu-link-redirect="1" aria-haspopup="true"><a href="" class="m-menu__link m-menu__toggle" title="Manuals and Videos"><i
											 class="m-menu__link-icon flaticon-paper-plane"></i><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Manuals</span> <i class="m-menu__hor-arrow la la-angle-down"></i><i class="m-menu__ver-arrow la la-angle-right"></i></a>
										<div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
												<ul class="m-menu__subnav">
												<li class="m-menu__item " m-menu-link-redirect="1" aria-haspopup="true"><a href="ManualsVideo.php" class="m-menu__link "><i class="m-menu__link-icon flaticon-business"></i><span class="m-menu__link-text">Video Tutorials</span></a></li>
											
												
											</ul>
										</div>
									</li>
								</ul>
							</div>

							<!-- END: Horizontal Menu -->

							<!-- BEGIN: Topbar -->
							<div id="m_header_topbar" class="m-topbar  m-stack m-stack--ver m-stack--general">
								<div class="m-stack__item m-topbar__nav-wrapper">
									<ul class="m-topbar__nav m-nav m-nav--inline">
								<? echo '<a href="'.$RootPath.'/MyProfile.php">' . stripslashes($_SESSION['UsersRealName']) . '</a>';?>
										<li class="m-nav__item m-topbar__user-profile  m-dropdown m-dropdown--medium m-dropdown--arrow  m-dropdown--align-right m-dropdown--mobile-full-width m-dropdown--skin-light" m-dropdown-toggle="click">
											<a href="#" class="m-nav__link m-dropdown__toggle">
												<span class="m-topbar__userpic">
													<img src="includes/assets/employeephotos/user.png" class="m--img-rounded m--marginless m--img-centered" alt="" />
												</span>
												<span class="m-nav__link-icon m-topbar__usericon  m--hide">
													<span class="m-nav__link-icon-wrapper"><i class="flaticon-user-ok"></i></span>
												</span>
												<span class="m-topbar__username m--hide">Nick</span>
											</a>
											<div class="m-dropdown__wrapper">
												<span class="m-dropdown__arrow m-dropdown__arrow--right m-dropdown__arrow--adjust"></span>
												<div class="m-dropdown__inner">
													<div class="m-dropdown__header m--align-center">
														<div class="m-card-user m-card-user--skin-light">
															<div class="m-card-user__pic">
																<img src="assets/employeephotos/user.png" class="m--img-rounded m--marginless" alt="" />
															</div>
															<div class="m-card-user__details">
																<span class="m-card-user__name m--font-weight-500"><?$realname; ?> </span>
																<a href="" class="m-card-user__email m--font-weight-300 m-link"><?$emailm; ?></a>
															</div>
														</div>
													</div>
													<div class="m-dropdown__body">
														<div class="m-dropdown__content">
															<ul class="m-nav m-nav--skin-light">
																<li class="m-nav__section m--hide">
																	<span class="m-nav__section-text">Section</span>
																</li>
																<li class="m-nav__item">
																	<a href="MyProfile.php" class="m-nav__link">
																		<i class="m-nav__link-icon flaticon-profile-1"></i>
																		<span class="m-nav__link-title">
																			<span class="m-nav__link-wrap">
																				<span class="m-nav__link-text">My Profile</span>
																				
																			</span>
																		</span>
																	</a>
																</li>
																<li class="m-nav__item">
																	<a href="UserSettings.php" class="m-nav__link">
																		<i class="m-nav__link-icon flaticon-share"></i>
																		<span class="m-nav__link-text">Change Password</span>
																	</a>
																</li>
																
																<li class="m-nav__separator m-nav__separator--fit">
																</li>
																<li class="m-nav__item">
																	<a href="Logout.php" class="btn m-btn--pill    btn-secondary m-btn m-btn--custom m-btn--label-brand m-btn--bolder">Logout</a>
																</li>
															</ul>
														</div>
													</div>
												</div>
											</div>
										</li>
										
									</ul>
								</div>
							</div>

							<!-- END: Topbar -->
						</div>
					</div>
				</div>
			</header>

			<!-- END: Header -->

			<!-- begin::Body -->
			<div class="m-grid__item m-grid__item--fluid m-grid m-grid--ver-desktop m-grid--desktop m-body">

				<!-- BEGIN: Left Aside Left Modules panel -->
				<button class="m-aside-left-close  m-aside-left-close--skin-dark " id="m_aside_left_close_btn"><i class="la la-close"></i></button>
				<div id="m_aside_left" class="m-grid__item	m-aside-left  m-aside-left--skin-dark ">

					<!-- BEGIN: Aside Menu -->
					<div id="m_ver_menu" class="m-aside-menu  m-aside-menu--skin-dark m-aside-menu--submenu-skin-dark " m-menu-vertical="1" m-menu-scrollable="0" m-menu-dropdown-timeout="500">
						<ul class="m-menu__nav ">
						
							<li class="m-menu__item " aria-haspopup="true"><a href="index.php" class="m-menu__link "><span class="m-menu__item-here"></span><i class="m-menu__link-icon flaticon-squares"></i><span class="m-menu__link-text">Main</span></a></li>
						
						
								<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/salesmain.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Sales Management</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Sales Management</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SalesDashboard.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Dashboard</span></a></li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												   	<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="prospecting.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sales Prospecting </span></a></li>
											   	
												   
												
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Quotations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Quotations</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ProformaInvoicing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Proforma Invoicing</span></a></li>
													
											   	<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Invoicing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Invoicing(Credit Sales) </span></a></li>
											   	
																								   	
											   	
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="POSTrans.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">POS Sales Trans/Cash Sales</span></a></li>	
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Quotations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Quotation Listings</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Invoices.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Customer Transactions</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CreditNoteListings.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Credit Note/Refund Listings</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AllSalesReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sales Report(Credit Sales/Invoicing)</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockSalesReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock POS Sales Report</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockCreditSalesReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Credit Sales Report</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="POSReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">POS Sales Report/Cash Sales Register</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CashTillManagement.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">POS Cash Till Count Report</span></a></li>
												
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							
								<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/debtors.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Debtors</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Debtors</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="DebtorsDashboard.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Dashboard</span></a></li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="debtoraccount.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Debtor Account Number Management </span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Receipts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Enter Receipts</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustomerAllocations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Allocate Receipts</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CreditNoteListings.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Credit Note/Refunds</span></a></li>
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SingleBankingBatch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Single Banking</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankingBatch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Multi Banking</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="DebtorsJournal.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Debtors Journal on Account Changes </span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="TransferBetweenAccount.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Transfer Between Accounts</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ProvisionalTax.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Provisional Tax </span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="RetentionManual.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Retentions </span></a></li>
												</ul>
											</div>    
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AgedDebtorsReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Aged Debtors by Account Number</span></a></li>
											  <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AgedDebtors.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Aged Debtors by Parent Customer</span></a></li>
											    
												    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AllocatedInvoices.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Allocated Transactions</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustWhereAlloc.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Where Allocated Inquiry</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Receipts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">All Receipts Listings</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankingTransactions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Banking Transactions</span></a></li>
													
														
											
													         
													      <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustomerTransInquiry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Customer Trasactions Inquiry</span></a></li>
													
													      <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustomerTransactions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Detailed Customer Transactions</span></a></li>
													   
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="debtorprovisions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Provision for Doubtful Debts Rates </span></a></li>
												
													
													
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/billing2.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Billing</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Billing Module</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BillingDashboard.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Dashboard</span></a></li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												   	<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Billing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">General Billing Management </span></a></li>
											   	
												   
												
													
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Quotations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Billing Intel</span></a></li>
													
												
												
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							
								<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/stock.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Inventory</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Inventory</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InventoryDashboard.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Dashboard</span></a></li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockMaster.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Master Records</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CreateRequest.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Create Internal Stock Request</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InternalStockRequestAuthorisation.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Authorize Stock Request</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InternalStockRequestFulfill.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Fulfill Stock Request</span></a></li>
													
												
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockTransfers.php?New=Yes" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Location Transfers</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockLocTransfer.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bulk Stock Transfers</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockLocTransferReceive.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Receive Bulk Transfers</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockAdjustments.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Adjustments</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockCounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Enter Stock Counts</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
												
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockSalesReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock POS Sales Report</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockCreditSalesReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Credit Sales Report</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockRequest.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Requests</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockSerialItemResearch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Serial Stock Research Tool </span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFPrintLabel.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Print Price Labels</span></a></li>
														
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ReprintGRN.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Re-Print GRN</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockMovements.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Item Movements</span></a></li>
														
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockStatus.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Item Status</span></a></li>
														
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InventoryQuantities.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Quantities</span></a></li>
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ReorderLevel.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Reorder level</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockDispatch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Dispatch</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InventoryValuation.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Inventory Valuation Report</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InventoryPlanning.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text" title="This report shows the usage of stock items over the previous four months together with the current stock, outstanding sales orders and outstanding purchase orders. It suggests a re-order quantity based on a selectable number of months stock to have in the supply chain multiplied by the maximum of the previous four months monthly stock usage (from all stock locations), less the on hand stock and purchase orders. It will not suit all purposes but certainly does provide good information from which to base purchasing decisions.">Inventory Planning Report</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InventoryPlanningPrefSupplier.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Inventory Planning Based of prefered Supplier</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockCheck.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Check Sheets</span></a></li>
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockQties_csv.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Export Stock Qty to csv</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFStockCheckComparison.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Compare Count vs Stock Check Data</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockLocMovements.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">All Inventory Movements by Date</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockMovementsAllvi.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">All Inventory Movements Listings</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockLocStatus.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">All Inventory Status </span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockQuantityByDate.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Inventory History </span></a></li>
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFStockNegatives.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Negative Stock </span></a></li>
																<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFPeriodStockTransListing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Period Stock Trans Listing</span></a></li>
																	<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFStockTransfer.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Stock Transfer Note</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AgedControlledInventory.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Aged Controlled Stock Report</span></a></li>
												</ul>
												
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
											
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Locations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Locations</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="StockCategories.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Inventory Categories</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SalesCategories.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sales Categories</span></a></li>
													
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="InternalStockCategoriesByRole.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Internal Stock Categories Requests By Security Role Maintenance</span></a></li>
													 
													
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportStocks.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import New or Update Stock Items from .csv files</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_UpdateStockQty.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Update Stock Qty from .csv files</span></a></li>
													  <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportPriceList.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Price List from .csv files</span></a></li>
													
													  
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_UpdateItemCosts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Update Items cost from .csv files</span></a></li>
                                                  
                                                   
													 
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/purchasing.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Purchasing</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Purchasing</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PO_Header.php?NewOrder=Yes" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">New Purchase Order</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PO_SelectOSPurchOrder.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Purchase Orders</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="OverseasPurchaseOrders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Overseas Purchase Orders</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PurchaseByPrefSupplier.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Purchase Order Grid Entry</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierTenderCreate.php?New=Yes" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Create A New Tender</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierTenderCreate.php?Edit=Yes#" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Edit Existing Tender</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="OffersReceived.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Process Tender and Offers</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PO_AuthoriseMyOrders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Orders to Authorise</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectSupplier.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Shipment Entry</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Shipt_Select.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Select A Shipment</span></a></li>
                                                    
													
												</ul>
											</div>
										</li>
										
										
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PurchaseOrders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Purchase Order Details</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PO_SelectPurchOrder.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Purchase Order Inquiry</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="POReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Purchase Order Report</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SuppPriceList.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Price List</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierPriceList.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Maintain Supplier Price Lists</span></a></li>

													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PO_AuthorisationLevels.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Set PO auth levels</span></a></li>

												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							
							
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/creditors.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Creditors</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Creditors</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SuppliersTransactions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Transactions</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SuppliersPayment.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Payments</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierAllocations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Payment Allocations</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SuppUploads.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Invoices Scan Files</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ProvisionalTaxSuppliers.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Provisional Tax Management</span></a></li>
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AgedSuppliers.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Aged Suppliers </span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SuppPaymentRun.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Payment Run Report</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFRemittanceAdvice.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Remittance Advices</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="OutstandingGRNs.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Outstanding GRNS report</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierBalsAtPeriodEnd.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier balances at Prio Month End</span></a></li>
														
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierTransInquiry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Transactions Report </span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFSuppTransListing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">PDF Supplier Daily Trans</span></a></li>
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Suppliers.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Add Supplier</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectSupplier.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Search Suppliers</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Factors.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Maintain Factor Companies</span></a></li>
												
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
									
							<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/hrms.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Human Resource Management</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">HRMS</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="rostering.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Rostering</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="timesheet.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Timesheet</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="absent_management.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Leave Management</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayrolAdjustments.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Pay Adjustments</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayRuns.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Pay Processing-Timesheet Related</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayRunsSalary.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Pay Processing-Fixed Salary Related</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayRunsManagement.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Pay Processing-Management</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ReportRostering.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">All Rostered Employees Summary</span></a></li>
													
													
														
															<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayRunsFull.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Full Payrol Report-Staffs</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PayRunsFull.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Full Payrol Report-Management</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="EMS.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">FRCS EMS Report</span></a></li>
													
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="employee.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Employee Management</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Sectors.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sectors</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_RosteringTimesheet.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Upload Roster using csv file</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_GuardforceClient.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Upload Client Patrol Location data using csv file</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="guardforceclient.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Client Locations</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="internallocation.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Internal Locations</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="certificates.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Certifications</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedDeductions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Fixed Deductions</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ResetSickLeave.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Reset Sick Leave Accruals</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="QuickPay-Bank.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Quick Pay Bank Details </span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="QuickPay-Branch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Quick Pay Branch Details</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FNPF.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">FNPF Rate </span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="QuickPay-BatchType.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Quick Pay BatchType</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="QuickPay-BatchNumber.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Quick Pay Batch Numbers</span></a></li>
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							
							<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/gl.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">General Ledger</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">General Ledger</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Payments.php?NewPayment=Yes" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Payment Entry</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustomerReceipt.php?NewReceipt=Yes&Type=GL" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Receipts Entry</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ImportBankTrans.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Bank Transactions</span></a></li>
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankMatching.php?Type=Payments" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Payments Matching </span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankMatching.php?Type=Receipts" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Receipts Matching</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLJournalsNew.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Journal Entry/Unposted Journals</span></a></li>
                                                   
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLJournalInquiry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Posted General Ledger Journal Inquiry</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankAccountBalances.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Balances</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="DailyBankTransactions.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Daily Bank Transactions</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankReconciliation.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Account Reconciliation statement</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFChequeListing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Cheque Payments Listings</span></a></li>
												
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectGLAccount.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Account Inquiry</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLAccountReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Account Listing</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLAccountCSV.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Account Listing to CSV File</span></a></li>
                                                 
                                                   
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLTrialBalance.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Trial Balance</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLProfit_Loss.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Profit and Loss Report</span></a></li>
                                                   
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLBalanceSheet.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Balance Sheet</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLCashFlowsIndirect.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Statement of Cash Flows</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLStatements.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Financial Statements</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AnalysisHorizontalPosition.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Horizontal Analysis of Statement of Financial Position</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AnalysisHorizontalIncome.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text"> Horizontal Analysis of Statement of Comprehensive Income</span></a></li>
													
													
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLTagProfit_Loss.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Tag/Cost Center Report</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Tax.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Tax Report</span></a></li>
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AccountSections.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Account Sections</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="AccountGroups.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Account Groups</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLAccounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Accounts</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLBudgets.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Budgets</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLTags.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Tags</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankAccounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Accounts</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Ba		<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLBudgets.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Budgets</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLTags.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Tags</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankAccounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Accounts</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BankAccountUsers.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bank Accounts Authorised Users</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLAccountUsers.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Accounts Authorised Users</span></a></li>
													 <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="GLAccountUsersAllAccounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">GL Accounts Authorised Users All Accounts Entry</span></a></li>
                                                    
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/manu.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Manufacturing</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Manufacturing</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WorkOrderEntry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Work Order Entry</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectWorkOrder.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Select A work Order</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectQASamples.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">QA Sample and Test</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectWorkOrder.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Select A Work Order</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMInquiry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Costed Bill Of Material Inquiry</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WhereUsedInquiry.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Where Used inquiry</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMListing.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bill Of Material Listing</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMIndented.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Indented Bill Of Material Listing</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMExtendedQty.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">List Components Required</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MaterialsNotUsed.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">List Materials Not Used Anywhere</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMIndentedReverse.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Intended Where Used listing</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WOCanBeProducedNow.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">WO Items ready to produce</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPReport.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPShortages.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP Shortages</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPPlannedPurchaseOrders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP Suggested Purchased Orders</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPPlannedWorkOrders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP Suggested Work Orders</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPReschedules.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP Reschedules Required</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPReschedules.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Print Product Specification</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PDFCOA.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Print Certificate of Analysis</span></a></li>
                                                     <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="HistoricalTestResults.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Historical QA Test Results</span></a></li>
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WorkCentres.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Work Centre</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="BOMs.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Bill of Material</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CopyBOM.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Copy of Bill Materials Between Items</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPDemands.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Master Schedule</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRPCreateDemands.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Auto Create Master Secdule</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MRP.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">MRP Calculation</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="QATests.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Quality Tests Maintenance</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="ProductSpecs.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Product Specifications</span></a></li>
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
									
									<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/petty.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Petty Cash</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Petty Cash</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcAssignCashToTab.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Assign Cash to PC Tab</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcClaimExpensesFromTab.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Claim Expenses From PC Tab</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcAuthorizeExpenses.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Expenses Authorisations</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcReportTab.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">PC Tab General Report</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcAnalysis.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Pc Expenses Analysis</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcTypeTabs.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Types of PC Tabs</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcTabs.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">PC Tabs</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcExpenses.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">PC Expenses</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PcExpensesTypeTab.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Expenses for Type of PC Tab</span></a></li>
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
									
									<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/asset.gif" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Asset Management</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Asset management</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetItems.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Add a New Asset</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SelectAsset.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Select an Asset</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetTransfer.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Change Asset Location</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetDepreciation.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Depreciation journal</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetRegister.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Asset Register</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MaintenanceUserSchedule.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">My Maintenance Schedule</span></a></li>
                                                    
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MaintenanceReminders.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Maintenance Reminder Emails</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetCategories.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Fixed Asset Category</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="FixedAssetLocations.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Add or Maintain Asset locations</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="MaintenanceTasks.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Fixed Asset Maintenance Tasks</span></a></li>
													
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
							<?php
								$userid = $_SESSION['UserID'];
							 if ($userid =='admin'){
								 
								 ?>
							
									<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><span class="m-menu__item-here"></span><i class="m-menu__link-icon "><img src="icons/setup.png" style="width:32px;height:32px;"></i><span
									 class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Sys Admin</span>  </span></span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
								<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
									<ul class="m-menu__subnav">
										<li class="m-menu__item  m-menu__item--parent" aria-haspopup="true" m-menu-link-redirect="1"><span class="m-menu__link"><span class="m-menu__item-here"></span><span class="m-menu__link-title"> <span class="m-menu__link-wrap"> <span class="m-menu__link-text">Sys Admin</span>
														<span class="m-menu__link-badge"><span class="m-badge m-badge--accent">3</span></span> </span></span></span></li>
										
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Transactions</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											    <div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CompanyPreferences.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Company Preferences</span></a></li>
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SystemParameters.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">System Parameters</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="division.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Divisions</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="department.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Departments</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="debtoraccount.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Customers Account Numbers Management</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WWW_Users.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Users maintenance</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Users.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Users </span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SecurityTokens.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Maintain Security Tokens</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="WWW_Access.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Access Permisssions Maintenance</span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PageSecurity.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Page security Settings</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Currencies.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Currencies Maintenance</span></a></li>
													
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Reports</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
												
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SalesTypes.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sales Types</span></a></li>
													
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="CustomerTypes.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Customer Types</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SupplierTypes.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Supplier Types</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PaymentTerms.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Payment Terms</span></a></li>
														<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="PaymentMethods.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Payment Methods</span></a></li>
													
													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="SalesGLPostings.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Sales GL Interface Postings </span></a></li>
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="COGSGLPostings.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">COGS GL Interface Postings </span></a></li>
												</ul>
											</div>
										</li>
										<li class="m-menu__item  m-menu__item--submenu" aria-haspopup="true" m-menu-submenu-toggle="hover" m-menu-link-redirect="1"><a href="javascript:;" class="m-menu__link m-menu__toggle"><i class="m-menu__link-bullet m-menu__link-bullet--line"><span></span></i><span
												 class="m-menu__link-text">Maintenance</span><i class="m-menu__ver-arrow la la-angle-right"></i></a>
											<div class="m-menu__submenu "><span class="m-menu__arrow"></span>
												<ul class="m-menu__subnav">
									
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_MakeNewCompany.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Make New Company</span></a></li>
                                                    
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportDebtors.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Customers from .csv File</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportCustbranch.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Customers branch from .csv file</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportChartOfAccounts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Chart of Accounts from .csv file</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportStocks.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import New or Update Stock Items from .csv files</span></a></li>
													 													
													<li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_UpdateItemCosts.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Update Items cost from .csv files</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportPriceList.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Price List from .csv files</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_UpdateStockQty.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Update Stock Qty from .csv files</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_ImportGLAccountSections.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Accounts section from .csv files</span></a></li>
                                                    <li class="m-menu__item " aria-haspopup="true" m-menu-link-redirect="1"><a href="Z_DebtorTrans.php" class="m-menu__link "><i class="m-menu__link-bullet m-menu__link-bullet--dot"><span></span></i><span class="m-menu__link-text">Import Debtors Trans From .csv files</span></a></li>
                                                  
                                                 
                                                    </li>
												</ul>
											</div>
										</li>
									</ul>
								</div>
							</li>
								 
								<?php 
							 }
							
							?>
						

									
							
								
								
							
							
							
						</ul>
					</div>

					<!-- END: Aside Menu -->
				</div>

				<!-- END: Left Aside -->
				<div class="m-grid__item m-grid__item--fluid m-wrapper">

					<!-- BEGIN: Subheader -->
					<div class="m-subheader ">
						<div class="d-flex align-items-center">
							<div class="mr-auto">
								<h3 class="m-subheader__title ">WELCOME TO ENTERPRISE RESOURCE PLANNING (ERP) SYSTEM</h3>
								
							</div>
							
						</div>
					</div>

					<!-- END: Subheader -->
					<div class="m-content">

						<!--begin:: Widgets/Stats-->
						<div class="m-portlet  m-portlet--unair">
							<div class="m-portlet__body  m-portlet__body--no-padding" align="left">
<script src="//code.tidio.co/7j4gnvflyr3dodbhecezu6uaqke3acia.js" async></script>